

% create the transfer function of a lowpass filter
% H(s) = 1/(\tau s + 1)
tau =  ?;     % assign a value to tau
numH = ?;     % enter numerator coefficients  in descending powers of "s" 
denH = ?;     % enter numerator coefficients  in descending powers of "s" 

% a vector of frequencies at which to evaluate the frequency response
omega = logspace(-2,2);

% compute the frequency response, or Bode, plot
[mag,phase] = bode(numH,denH,omega);

% plot the gain in db and the phase in degrees
figure(1)
clf
subplot(2,1,1)
semilogx(omega,20*log10(mag))
ylabel('gain, db')
grid
title(['H(j\omega) = 1/(j\omega\tau+1), \tau = ',num2str(tau)])
subplot(2,1,2)
semilogx(omega,phase)
ylabel('phase, degrees')
xlabel('frequency, rad/sec')
grid

% a vector of time values at which to evaluate the time response
tmax = 5;  % to plot a different time interval, change tmax
t = linspace(0,tmax,200);

% input sinusoid
omega_0 = 10;
u = sin(omega_0*t);

% output of the filter driven by the sinusoid
y = lsim(numH,denH,u,t);

% create a zero reference line
for i = 1:length(t)
    zeroline(i) = 0;
end


% plot both input and output
figure(2)
clf
plot(t,u,'--',t,y,'-',t,zeroline,'k-')
xlabel('time, seconds')
legend('input','output')
title(['response of H(j\omega) with \tau = ',num2str(tau),' to sin(\omega_0 t), \omega_0 = ',num2str(omega_0)])% plot both input and output
