

% parameters of DC motor in EECS 461 Lab

% KM = 0.0389;     % N-m/A
% KV = 0.0388;     % V/rad/sec
% R = 1.23;        % ohm
% L = .00034;      % H
% J = 6.55e-06;    % N-m/rad/s^2
% B = 0.00131;     % N-m/(rad/sec)
%
% Maxon Motor Direct Drive Haptic Box January 2009
KM = 0.0302;     % N-m/A
KV = 0.0302;     % V/rad/sec
R = 0.317;        % ohm
L = .0000823;      % H
J = 1.38e-05;    % N-m/rad/s^2
B = 0.00131;     % N-m/(rad/sec)




% a vector of constant applied voltages
% V = [ 5,10,15,20,25,30,35 ];
V = [ 1,10,15,20,25 ];

% a range of steady state speeds from which to compute steady state torque

% Omega_ss = linspace(0,200);    % speed in rad/sec as required by the units in the formula
Omega_ss = linspace(0,875);    % speed in rad/sec as required by the units in the formula
Omega_ss_rps = Omega_ss/2/pi;  % in order to plot speed in rev/sec rather than in rad/sec

% compute speed-torque curve lines

for i = 1:length(V)
for j = 1:length(Omega_ss)    
   Torque_ss(i,j) = ?
end
end

figure(1)
clf

hold on
for i = 1:length(V)
   plot(Omega_ss_rps,Torque_ss(i,:))
end
hold off

xlabel('speed, rev/sec')
ylabel('torque, Newton-meters')
axis([0 Omega_ss_rps(length(Omega_ss_rps)) 0 2.5])

title(['V = [',num2str(V),']',])



% compute steady state values of speed and torque for several
% values of constant applied torque

% TL must have FIVE torque values in it!!!!
% (to get the labels on the graph to work correctly)
% TL = [0 .1 .2 .5 .7];
TL=[0 .5 1.0 1.5 2.0];


for i = 1:length(V)
for j = 1:length(TL)
 Omega_ss_pt(i,j) = ?
 Torque_ss_pt(i,j) = ?
end   
end 

Omega_ss_pt_rps = Omega_ss_pt/2/pi;
figure(2)
clf

% plot the specific points just computed
for i = 1:length(V)
 hold on
 plot(Omega_ss_pt_rps(i,1),Torque_ss_pt(i,1),'*',Omega_ss_pt_rps(i,2),Torque_ss_pt(i,2),'o',...
         Omega_ss_pt_rps(i,3),Torque_ss_pt(i,3),'x',Omega_ss_pt_rps(i,4),Torque_ss_pt(i,4),'d',...
         Omega_ss_pt_rps(i,5),Torque_ss_pt(i,5),'s')
 hold off 
end


xlabel('speed, rev/sec')
ylabel('torque, Newton-meters')
axis([0 Omega_ss_rps(length(Omega_ss_rps)) 0 2.5])

 
legend(['T_L = ',num2str(TL(1))],['T_L = ',num2str(TL(2))],...
     ['T_L = ',num2str(TL(3))],['T_R = ',num2str(TL(4))],...
        ['T_L = ',num2str(TL(5))],2)

title(['V = [',num2str(V),']',])

% plot the torque speed curvesd computed for figure 1
hold on
for i = 1:length(V)
   plot(Omega_ss_rps,Torque_ss(i,:))
end
hold off





