


% parameters of DC motor in EECS 461 Lab
% KM = 0.0389;     % N-m/A
% KV = 0.0388;     % V/rad/sec
% R = 1.23;        % ohm
% L = .00034;      % H
% J = 6.55e-06;    % N-m/rad/s^2
% B = 0.00131;     % N-m/(rad/sec)
%
% Maxon Motor Direct Drive Haptic Box January 2009
KM = 0.0302;     % N-m/A
KV = 0.0302;     % V/rad/sec
R = 0.317;        % ohm
L = .0000823;      % H
J = 1.38e-05;    % N-m/rad/s^2
B = 0.00131;     % N-m/(rad/sec)


tfinal = .3;  % time interval of the simulation (may need to be adjusted)

V = 10;            % input voltage turned on at t = tstep seconds
tstep = .1;   % time at which input voltage is applied
              

% TL = .2;          % size of load torque  disturbance
TL = 0.5;
load_time = .2;    % time that the load torque disturbance is applied

% call SIMULINK to perform simulation

 
sim('DC_motor_linear')

% note we plot 100*torque in order to compare torque and speed
% on the same scale
figure(1)
clf

plot(tout,yout(:,1)/2/pi ,'-',tout,100*yout(:,2),'--')
legend('speed, rev/sec','100*torque, N-m',4)
title(['V = ',num2str(V),', T_L = ',num2str(TL)]) 
xlabel('time, seconds')
 % axis([0 tfinal 0 30])
 axis([0 tfinal 0 90])
grid
% set(gca,'YTick',1:15)

 