
% parameters of DC motor in EECS 461 Lab
% KM = 0.0389;     % N-m/A
% KV = 0.0388;     % V/rad/sec
% R = 1.23;        % ohm
% L = .00034;      % H
% J = 6.55e-06;    % N-m/rad/s^2
% B = 0.00131;     % N-m/(rad/sec)
%
% Maxon Motor Direct Drive Haptic Box January 2009
KM = 0.0302;     % N-m/A
KV = 0.0302;     % V/rad/sec
R = 0.317;        % ohm
L = .0000823;      % H
J = 1.38e-05;    % N-m/rad/s^2
B = 0.00131;     % N-m/(rad/sec)




tfinal = .05;   % may need to be adjusted

% parameters of PWM (for a PWM simulation)

switch_period = 1/25000;  % for 25kHz PWM switching frequency
 
 
 
duty_cycle = 50;   % in percent of period
amplitude = 5;   % amplitude of PWM signal

% call SIMULINK to perform simulation

sim('DC_motor_PWM');

figure(1)
clf

plot(tout,yout(:,1)/2/pi,'-',tout,100*yout(:,2),'--')
legend('speed, rev/sec','100*torque, N-m')
title(['switching frequency = ',num2str(1/switch_period),...
       ' Hz, duty cycle = ',num2str(duty_cycle),' %'])

xlabel('time, seconds')





